Backups Long Term Retention - Check Prerequisites
Performs all checks required for a long term retention backup operation to succeed.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DBforPostgreSQL/flexibleServers/{serverName}/ltrPreBackup?api-version=2026-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
server
|
path | True |
string minLength: 3maxLength: 63 pattern: ^[a-zA-Z0-9]+(-[a-zA-Z0-9]+)* |
The name of the server. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| backupSettings | True |
Backup Settings |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. Headers x-ms-request-id: string |
|
| Other Status Codes |
Custom error response for the service. Headers
|
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Perform all checks required for a long term retention backup operation to succeed.
Sample request
POST https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/exampleresourcegroup/providers/Microsoft.DBforPostgreSQL/flexibleServers/exampleserver/ltrPreBackup?api-version=2026-10-01
{
"backupSettings": {
"backupName": "exampleltrbackup"
}
}
Sample response
{
"properties": {
"numberOfContainers": 1
}
}
Definitions
| Name | Description |
|---|---|
|
Backup |
Settings for the long term backup. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Ltr |
A request that is made for pre-backup. |
|
Ltr |
Response for the LTR pre-backup API call. |
BackupSettings
Settings for the long term backup.
| Name | Type | Description |
|---|---|---|
| backupName |
string |
Backup Name for the current backup |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
LtrPreBackupRequest
A request that is made for pre-backup.
| Name | Type | Description |
|---|---|---|
| backupSettings |
Backup Settings |
LtrPreBackupResponse
Response for the LTR pre-backup API call.
| Name | Type | Description |
|---|---|---|
| properties.numberOfContainers |
integer (int32) |
Number of storage containers the plugin will use during backup. More than one containers may be used for size limitations, parallelism, or redundancy etc. |